# w3all phpBB HTML on posts
# Copyright 2022 by axew3 axew3.com

## Installation

Copy the extension to phpBB/ext/w3all/htmlposts

What it do?
It allow to add HTML/Javascript code into phpBB posts and parse the content.
So it is very important that you allow to use this feature only to well knows and specified users IDS or you'll expose your board to high security risks.

Who can post HTML expecting it will be parsed?
Only specified users IDS.

Is it safe?
What it happen if an user that have no rights to add HTML into posts, but have rights to edit posts (like a moderator) go to add malicious javascript code into a post which he is not the author of?
Nothing, the html post will not be saved after it has been edited.
But it is not the unique security check. A post cannot be parsed as HTML if the author is not an allowed users.

How i can add allowed users IDS, that so can add HTML on posts, expecting that their posts contents are parsed as HTML?
Open: /ext/w3all/htmlposts/event/main_listener.php
search for this line:
  
$this->uids_html_allowed_ary = array(); // to add HTML allowed user's IDS, do it in this way: array(48,625,34,765);


add comma-separated user IDs and remember: a user authorized to post/parse HTML who adds malicious code, can endanger the phpBB security!


How a post become an HTML posts?
The post need to start (the very first characters of the post, no spaces or something else) with this placeholder
 

[HTMLMARKUP]

All the HTML or Javascript code found into the post will be so parsed as HTML.

How i can add HTML or Javascript into my posts?
Just use HTML tags.

Can i add BBCode or smilies into the Html post?
No, any BBCode or smile will be stripped.

Can i add/use Javascript or jQuery?
Yes Javascript, but if you want to use libraries like jQuery or something else, then be sure that have been included on the header and not on footer (as it is in phpBB by default) or jQuery will not work. Posts are parsed before the phpBB footer, so it is necessary to enqueue the jQuery library before the posts parsing (on phpBB header, not on footer).


## License

[GNU General Public License v2](license.txt)
